'''
Copyright 2019 Jacques Supcik

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

-----------------------------------------------------------------------------
Purpose: Dataclass for categories
Filename: groople/category.py
Created Date: 2019-03-31
Author: Jacques Supcik
-----------------------------------------------------------------------------
'''

import logging
from dataclasses import dataclass

logger = logging.getLogger(__name__)


@dataclass
class Category:
    """ Category class """
    id: int
    name: str
    order: int
    activities: list

    def sort_activities(self):
        """ Sort activities alphabetically """
        self.activities.sort(key=lambda x: x.name)

    def __str__(self):
        return f'[{self.order}] - {self.name}'
